.collapse-panel {
  border: 1px solid var(--container-background-color);
  border-radius: 5px;
  padding-top: 5px;

  .ant-collapse-item .ant-collapse-header {
    padding-left: 10px;
    padding-bottom: 0;
    font-size: 12px;
    color: var(--current-workspace-main-color);
  }

  .ant-collapse-item .ant-collapse-content {
    border: none;
    color: black;
  }
  .ant-collapse-item .ant-collapse-content .ant-collapse-content-box {
    padding-top: 5px;
    padding-left: 26px;
  }

  .requirement-library-title {
    .ant-collapse-header {
      color: var(--requirement-workspace-main-color);
    }
    .ant-checkbox-checked .ant-checkbox-inner {
      background-color: var(--requirement-workspace-main-color);
      border-color: var(--requirement-workspace-main-color);
    }
    .checked-icon {
      color: var(--requirement-workspace-main-color);
    }
  }

  .test-case-library-title {
    .ant-collapse-header {
      color: var(--test-case-workspace-main-color);
    }
    .ant-checkbox-checked .ant-checkbox-inner {
      background-color: var(--test-case-workspace-main-color);
      border-color: var(--test-case-workspace-main-color);
    }
    .checked-icon {
      color: var(--test-case-workspace-main-color);
    }
  }

  .campaign-library-title {
    .ant-collapse-header {
      color: var(--campaign-workspace-main-color);
    }
    .ant-checkbox-checked .ant-checkbox-inner {
      background-color: var(--campaign-workspace-main-color);
      border-color: var(--campaign-workspace-main-color);
    }
    .checked-icon {
      color: var(--campaign-workspace-main-color);
    }
  }

  .custom-report-library-title {
    .ant-collapse-header {
      color: var(--custom-report-workspace-main-color);
    }
    .ant-checkbox-checked .ant-checkbox-inner {
      background-color: var(--custom-report-workspace-main-color);
      border-color: var(--custom-report-workspace-main-color);
    }
    .checked-icon {
      color: var(--custom-report-workspace-main-color);
    }
  }

  .action-word-library-title {
    .ant-collapse-header {
      color: var(--action-word-workspace-main-color);
    }
    .ant-checkbox-checked .ant-checkbox-inner {
      background-color: var(--action-word-workspace-main-color);
      border-color: var(--action-word-workspace-main-color);
    }
    .checked-icon {
      color: var(--action-word-workspace-main-color);
    }
  }

  .automation-request-library-title {
    .ant-collapse-header {
      color: var(--test-case-workspace-main-color);
    }
    .ant-checkbox-checked .ant-checkbox-inner {
      background-color: var(--test-case-workspace-main-color);
      border-color: var(--test-case-workspace-main-color);
    }
    .checked-icon {
      color: var(--test-case-workspace-main-color);
    }
  }
  .ant-checkbox-disabled .ant-checkbox-inner {
    background-color: transparent !important;
  }
}

.panels-border:hover {
  border: 1px solid var(--current-workspace-main-color);
  border-radius: 5px;
}

.profile-permission-panel {
  margin-bottom: 0 !important;
}

.checked-icon {
  color: var(--current-workspace-main-color);
  font-weight: 600;
  margin-right: 13px;
}

.permission-checkbox-indent {
  margin-left: 10px;
  margin-right: 5px;
}

.sub-permission-checkbox-indent {
  margin-left: 35px;
  margin-right: 5px;
}

.permission-not-checked {
  margin-left: 34px;
}

.sub-permission-not-checked {
  margin-left: 59px;
}

.hide-permission {
  display: none;
}

.search-permission {
  width: 250px;
}

.profile-permission-panel .ant-collapse-header div:after {
  content: '';
  display: inline-block;
  width: 15px;
  height: 15px;
  background-size: cover;
  vertical-align: middle;
  position: relative;
  top: -2px;
  margin-right: 8px;
}

#project .ant-collapse-header div:after {
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/icons/assets/sqtm-core-nav/administration-workspace.svg');
  filter: brightness(0) saturate(100%) invert(33%) sepia(19%) saturate(1074%)
    hue-rotate(176deg) brightness(87%) contrast(82%);
}

#requirement-library .ant-collapse-header div:after {
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/icons/assets/sqtm-core-nav/requirement-workspace.svg');
  filter: brightness(0) saturate(100%) invert(31%) sepia(96%) saturate(795%)
    hue-rotate(164deg) brightness(97%) contrast(105%);
}

#test-case-library .ant-collapse-header div:after {
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/icons/assets/sqtm-core-nav/test-case-workspace.svg');
  filter: brightness(0) saturate(100%) invert(21%) sepia(61%) saturate(3360%)
    hue-rotate(147deg) brightness(100%) contrast(98%);
}

#campaign-library .ant-collapse-header div:after {
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/icons/assets/sqtm-core-nav/campaign-workspace.svg');
  filter: brightness(0) saturate(100%) invert(11%) sepia(72%) saturate(5495%)
    hue-rotate(278deg) brightness(93%) contrast(93%);
}

#custom-report-library .ant-collapse-header div:after {
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/icons/assets/sqtm-core-nav/custom-report-workspace.svg');
  filter: brightness(0) saturate(100%) invert(12%) sepia(53%) saturate(6256%)
    hue-rotate(323deg) brightness(90%) contrast(95%);
}

#action-word-library .ant-collapse-header div:after {
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/icons/assets/sqtm-core-nav/action-word-workspace.svg');
  filter: brightness(0) saturate(100%) invert(21%) sepia(61%) saturate(3360%)
    hue-rotate(147deg) brightness(100%) contrast(98%);
}

#automation-request-library .ant-collapse-header div:after {
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/icons/assets/sqtm-core-nav/automation-workspace.svg');
  filter: brightness(0) saturate(100%) invert(21%) sepia(61%) saturate(3360%)
    hue-rotate(147deg) brightness(100%) contrast(98%);
}
